org.apache.fop.render.pdf.extensions

## Class PDFDictionaryAttachment

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFExtensionAttachment
  - - org.apache.fop.render.pdf.extensions.PDFDictionaryAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PDFDictionaryAttachment
    extends PDFExtensionAttachment

### Field Summary

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

`CATEGORY, PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`PDFDictionaryAttachment(PDFDictionaryExtension extension)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFDictionaryExtension` `getExtension()`
`void` `toSAX(ContentHandler handler)`

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

`getCategory, getPrefix`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFDictionaryAttachment

    public PDFDictionaryAttachment(PDFDictionaryExtension extension)

### Method Detail

#### getExtension

    public PDFDictionaryExtension getExtension()

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Throws:
  `SAXException`